# Confluency

Confluency serves as a client to connect to Confluence and treats you to some easy helper methods to format text for to meet [Confluence's storage format](https://confluence.atlassian.com/display/DOC/Confluence+Storage+Format)

## Installation

Add this line to your application's Gemfile:

    gem 'confluency'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install confluency

## Usage

To Connect
----------

	client = Confluency::Client.new("CONFLUENCE_URL")
	client.login("user","password")

Remote Methods
--------------

These will allow you to do things to administer Confluence, i.e. Add spaces, change permissions, delete pages, etc.

For a list of valid remote methods, please see [Confluence's list of remote methods](https://developer.atlassian.com/display/CONFDEV/Remote+Confluence+Methods) and note that the token can be ommited. The Confluency client already passes the token into the method.

Helper Methods
--------------

These helper methods are intended to make formating document easier from you application.
	
	# String#to_heading
	"HELLO".to_heading(3) # => <h3>HELLO</h3>

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
